Skip to main content
GET
/
apps
/
{appId}
Get application
curl --request GET \
  --url https://api.bunny.net/mc/apps/{appId} \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/mc/apps/{appId}"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/mc/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "regionSettings": {
    "allowedRegionIds": [
      "DE",
      "UK",
      "US"
    ],
    "requiredRegionIds": [
      "DE"
    ],
    "maxAllowedRegions": 5
  },
  "containerTemplates": [
    {
      "id": "<string>",
      "name": "<string>",
      "packageId": "<string>",
      "image": "<string>",
      "imageName": "<string>",
      "imageNamespace": "<string>",
      "imageTag": "<string>",
      "imageRegistryId": "<string>",
      "imageDigest": "<string>",
      "entryPoint": {
        "command": "<string>",
        "commandArray": [
          "<string>"
        ],
        "arguments": "<string>",
        "argumentsArray": [
          "<string>"
        ],
        "workingDirectory": "<string>"
      },
      "probes": {
        "startup": {
          "initialDelaySeconds": 10,
          "periodSeconds": 10,
          "timeoutSeconds": 7,
          "failureThreshold": 3,
          "successThreshold": 1,
          "httpGet": {
            "request": {
              "path": "<string>",
              "portNumber": 32768
            },
            "response": {}
          },
          "tcpSocket": {
            "request": {
              "portNumber": 32768
            }
          },
          "grpc": {
            "request": {
              "portNumber": 32768,
              "serviceName": "<string>"
            }
          }
        },
        "readiness": {
          "initialDelaySeconds": 10,
          "periodSeconds": 10,
          "timeoutSeconds": 7,
          "failureThreshold": 3,
          "successThreshold": 1,
          "httpGet": {
            "request": {
              "path": "<string>",
              "portNumber": 32768
            },
            "response": {}
          },
          "tcpSocket": {
            "request": {
              "portNumber": 32768
            }
          },
          "grpc": {
            "request": {
              "portNumber": 32768,
              "serviceName": "<string>"
            }
          }
        },
        "liveness": {
          "initialDelaySeconds": 10,
          "periodSeconds": 10,
          "timeoutSeconds": 7,
          "failureThreshold": 3,
          "successThreshold": 1,
          "httpGet": {
            "request": {
              "path": "<string>",
              "portNumber": 32768
            },
            "response": {}
          },
          "tcpSocket": {
            "request": {
              "portNumber": 32768
            }
          },
          "grpc": {
            "request": {
              "portNumber": 32768,
              "serviceName": "<string>"
            }
          }
        }
      },
      "environmentVariables": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "endpoints": [
        {
          "displayName": "<string>",
          "publicHost": "<string>",
          "isSslEnabled": true,
          "pullZoneId": "<string>",
          "portMappings": [
            {
              "containerPort": 123,
              "exposedPort": 123,
              "protocols": []
            }
          ],
          "stickySessions": {
            "enabled": true,
            "sessionHeaders": [
              "<string>"
            ],
            "cookieName": "<string>"
          },
          "internalIpAddresses": [
            {
              "address": "<string>",
              "region": "<string>"
            }
          ],
          "publicIpAddresses": [
            {
              "address": "<string>",
              "region": "<string>"
            }
          ]
        }
      ],
      "volumeMounts": [
        {
          "name": "<string>",
          "mountPath": "<string>"
        }
      ]
    }
  ],
  "containerInstances": [
    {
      "id": "<string>",
      "templateId": "<string>",
      "podId": "<string>",
      "nodeIpAddress": "<string>"
    }
  ],
  "volumes": [
    {
      "name": "<string>",
      "size": 5
    }
  ],
  "displayEndpoint": {
    "id": "<string>",
    "address": "<string>"
  },
  "autoScaling": {
    "min": 1,
    "max": 10
  },
  "networkSettings": {
    "ingressBandwidthLimit": 123,
    "egressBandwidthLimit": 123
  },
  "repositorySettings": {
    "templateRepository": "<string>",
    "repositoryName": "<string>",
    "owner": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

appId
string
required

Response

Application retrieved successfully.

Application model

id
string
required
Minimum string length: 1
name
string
required
Minimum string length: 1
status
enum<string>
required
Available options:
unknown,
active,
progressing,
inactive,
failing,
suspended
runtimeType
enum<string>
required
Available options:
shared,
reserved
regionSettings
object
required

Region settings model

containerTemplates
object[]
required
containerInstances
object[]
required
volumes
object[]
required
displayEndpoint
object

Display endpoint model

autoScaling
object
networkSettings
object
repositorySettings
object
Last modified on July 7, 2026